import QtQuick 1.0
import "../modelitf"

SourceModel {
    name: "Le Monde"

    listViews: [
        { viewComponent: 'content/view/Categories.qml' } ,
        { viewComponent: 'content/view/News.qml' },
        { viewComponent: 'content/view/NewsDetail.qml' },
        { viewComponent: 'content/view/NewsComments.qml' }
    ]
    listModels: [
        categoriesModel,
        newsModel,
        newsModelDetail,
        newsModelDetailComments
    ]

    function getSeqId(categoryIndex)
    {
        if( typeof categoriesModel.get(categoryIndex) != "undefined" )
            if( typeof categoriesModel.get(categoryIndex).seqid != "undefined" )
                return categoriesModel.get(categoryIndex).seqid

        return ""
    }

    function getNewsModelItem(prop)
    {
        var newsIndex = currentPath[2]

        if( typeof newsModel.get(newsIndex) != "undefined" )
            if( typeof newsModel.get(newsIndex)[prop] != "undefined" )
                return newsModel.get(newsIndex)[prop]

        return ""
    }

    property variant categoriesModel: LeMondeSequencesList { }
    property variant newsModel: LeMondeSequenceNews {
        seqid: getSeqId(currentPath[1])
    }
    property variant newsModelDetail: QtObject {
        property variant parentModel: newsModel
        property int sourceDepth: 3

        property string urllink: getNewsModelItem('link')
        property string htmlcontent: getNewsModelItem('detailedContent')
        property string title: getNewsModelItem('title')
        property string image: getNewsModelItem('image')
    }
    property variant newsModelDetailComments: QtObject {
        property variant parentModel: newsModel
        property int sourceDepth: 4

        property string commentURL: "http://www.lemonde.fr" + getNewsModelItem('commentURL')
        property string title: getNewsModelItem('title')
        property string image: getNewsModelItem('image')
    }

    loading: categoriesModel.loading || newsModel.loading
}
