import QtQuick 1.0

Rectangle {
    id: sourcesRect
    width: window.width; height: window.height
    color: "#dfdfdf"

    function populateSourcesModel() {
        for(var i=0; typeof window.listSourceModel[i] !== "undefined"; i++ ) {
            sourceList.append({})
        }
    }

    ListModel {
        id: sourceList
    }

    ListView {
        focus: true
        id: sources
        x: 0; y: 0
        width: window.width; height: window.height
        currentIndex: currentSourceIndex
        model: sourceList
        footer: quitButtonDelegate
        delegate: SourceDelegate {}
        highlight: Rectangle { color: "steelblue" }
        highlightMoveSpeed: 9999999
    }
    ScrollBar { scrollArea: sources; height: sources.height; width: 8; anchors.right: sources.right }

    Component.onCompleted: {
        sources.currentIndex = -1
        populateSourcesModel()
    }
}
